## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global project_name sphinxext-opengraph
%global pypi_name    sphinxext_opengraph

Name:           python-%{project_name}
Version:        0.9.1
Release:        %autorelease
Summary:        Sphinx extension to generate unique OpenGraph metadata

# Automatically converted from old format: BSD - review is highly recommended.
License:        LicenseRef-Callaway-BSD
URL:            https://%{project_name}.readthedocs.io/en/latest/
Source0:        https://files.pythonhosted.org/packages/source/s/%{project_name}/%{project_name}-%{version}.tar.gz

# Use system Roboto font family instead of Roboto Flex
#   (Roboto Flex is not available in Fedora repo)
Patch0:         sphinxext-opengraph-0.9.1-use-roboto-fonts.patch

BuildArch:      noarch
BuildRequires:  python3-devel
Requires:       google-roboto-fonts

%global _description %{expand:
%{summary}.}

%description %_description

%package -n python3-%{project_name}
Summary:        %{summary}

%description -n python3-%{project_name} %_description

%prep
%autosetup -p1 -n %{project_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files '*'


%files -n python3-%{project_name} -f %{pyproject_files}
%license LICENSE.md
%doc README.md


%changelog
## START: Generated by rpmautospec
* Wed Sep 04 2024 Miroslav Suchý <msuchy@redhat.com> - 0.9.1-5
- convert license to SPDX

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.9.1-3
- Rebuilt for Python 3.13

* Fri May 24 2024 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.9.1-2
- fix: use system Roboto font family

* Tue Jan 30 2024 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.9.1-1
- version 0.9.1

* Tue Jan 30 2024 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.8.2-7
- version 0.9.1

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 27 2023 Python Maint <python-maint@redhat.com> - 0.8.2-3
- Rebuilt for Python 3.12

* Fri Apr 14 2023 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.8.2-2
- sources updated

* Fri Apr 14 2023 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.8.2-1
- version 0.8.2

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jan 05 2023 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.7.5-1
- version 0.7.5

* Tue Dec 20 2022 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.7.4-1
- version 0.7.4

* Mon Nov 28 2022 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.7.3-1
- version 0.7.3

* Wed Nov 02 2022 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.7.2-1
- version 0.7.2

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.6.3-2
- Rebuilt for Python 3.11

* Tue Mar 29 2022 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.6.3-1
- version 0.6.3

* Wed Mar 09 2022 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.6.2-1
- version 0.6.2

* Wed Feb 23 2022 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.6.1-1
- version 0.6.1

* Tue Feb 22 2022 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.6.0-1
- version 0.6.0

* Tue Feb 01 2022 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.5.1-1
- initial spec for version 0.5.1

## END: Generated by rpmautospec
